%global modname	ipykernel

Name:		python-%{modname}
Version:	4.5.1
Release:	1%{?dist}
Summary:	IPython Kernel for Jupyter
License:	BSD
URL:		https://github.com/ipython/%{modname}
Source0:	https://github.com/ipython/%{modname}/archive/%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-sphinx

%global _description \
This package provides the IPython kernel for Jupyter.

%description	%{_description}

%package -n	python2-%{modname}
Summary:	%{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:	python2-devel

%description -n	python2-%{modname} %{_description}

Python 2 version.

%package -n	python3-%{modname}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:	python3-devel

%description -n	python3-%{modname} %{_description}

Python 3 version.

%package	doc
Summary:	Documentation for %{name}

%description	doc
This package contains the documentation of %{name}.

%prep
%setup -q -n %{modname}-%{version}

%build
%py2_build
%py3_build

pushd docs
    make html
popd

%install
%py2_install
%py3_install
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -favr docs/_build/html %{buildroot}%{_docdir}/%{name}
rm %{buildroot}%{_docdir}%{name}/{.buildinfo,objects.inv}

%files	-n python2-%{modname}
%license COPYING.md
%doc CONTRIBUTING.md MANIFEST.in README.md
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}*.egg-info

%files	-n python3-%{modname}
%license COPYING.md
%doc CONTRIBUTING.md MANIFEST.in README.md
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}*.egg-info

%files	doc
%doc %{_docdir}/%{name}/html

%changelog
* Wed Nov 16 2016 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 4.5.1-1
- Initial package.
